Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.remote.rmi
Class ClientExceptionCatcher

    java.lang.Object
      mx4j.remote.ClientProxy
          mx4j.remote.rmi.ClientExceptionCatcher

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

public class ClientExceptionCatcher
extends ClientProxy

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`static javax.management.MBeanServerConnection` | `newInstance(javax.management.MBeanServerConnection target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static javax.management.MBeanServerConnection newInstance(javax.management.MBeanServerConnection target)

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Overrides:
    `invoke` in class `ClientProxy`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.